probe::socket.sendmsg
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.sendmsg — Message is currently being sent on a socket.

## Synopsis

    socket.sendmsg

## Values

`flags`

  Socket flags value

`protocol`

  Protocol value

`family`

  Protocol family value

`type`

  Socket type value

`state`

  Socket state value

`size`

  Message size in bytes

`name`

  Name of this probe

## Context

The message sender

## Description

Fires at the beginning of sending a message on a socket via the `sock_sendmsg` function

Prev | Up | Next
probe::socket.send | Home | probe::socket.sendmsg.return